Commit a5caab30 authored by Natanael Copa's avatar Natanael Copa

abuild: improve error message when conflicting packages are installed

parent b7c197f2
......@@ -1558,15 +1558,15 @@ builddeps() {
# find which deps are missing
for i in $builddeps; do
if [ "${i#\!}" != "$i" ]; then
$APK info --quiet --installed "${i#\!}"
if [ "${i#\!}" != "$i" ] && $APK info --quiet --installed "${i#\!}"; then
error "Conflicting package installed: ${i#\!}"
elif ! deplist_has $i $installed_builddeps || [ -n "$upgrade" ]; then
missing="$missing $i"
fi
done
for i in $hostdeps; do
if [ "${i#\!}" != "$i" ]; then
$APK info --quiet --installed --root "$CBUILDROOT" "${i#\!}"
if [ "${i#\!}" != "$i" ] && $APK info --quiet --installed --root "$CBUILDROOT" "${i#\!}"; then
error "Conflicting package installed: ${i#\!}"
elif ! deplist_has $i $installed_hostdeps || [ -n "$upgrade" ]; then
missing="$missing $i"
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment